Bug 878693 - [RFE] Selecting multiple systems does not give me any action
[RFE] Selecting multiple systems does not give me any action
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Adam Price
Og Maciel
: FutureFeature
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
 
Reported: 2012-11-20 19:33 EST by Og Maciel
Modified: 2013-02-21 14:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:20:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
no action (66.01 KB, image/png)
2012-11-20 19:33 EST, Og Maciel
no flags Details
Action doesn't work (82.84 KB, image/png)
2013-01-08 17:13 EST, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-11-20 19:33:04 EST
Created attachment 648950 [details]
no action

Description of problem:

The attached screenshot shows that when I select multiple registered systems, I don't have any options to perform an action, such as: Remove

This is something that is available on katello ui and if you need to delete multiple systems from headpin ui, you need to delete one by one.

Version-Release number of selected component (if applicable):

* candlepin-0.7.19-1.el6_3.noarch
* candlepin-tomcat6-0.7.19-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.4-2h.el6_3.noarch
* katello-cli-common-1.2.4-2h.el6_3.noarch
* katello-common-1.2.6-2h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.6-2h.el6_3.noarch
* katello-headpin-1.2.6-2h.el6_3.noarch
* katello-headpin-all-1.2.6-2h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.27-1.el6_3.noarch
* thumbslug-selinux-0.0.27-1.el6_3.noarch

How reproducible:


Steps to Reproduce:
1. Add multiple systems to an org
2. Select multiple systems from Systems page
3.
  
Actual results:

No actions are available

Expected results:

Give me at least the option to remove systems


Additional info:
Comment 3 Og Maciel 2013-01-08 17:13:10 EST
Created attachment 675112 [details]
Action doesn't work

The attached screenshot shows that even though I have 2 systems selected, clicking the "Remove System(s)" link doesn't do anything. It almost looks like there is something overlaid on top of the link (using firebug) which prevents the user from clicking it.
Comment 4 Og Maciel 2013-01-09 10:35:41 EST
Verified (was able to test it this morning):

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-12h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-12h.el6_3.noarch
* katello-headpin-1.2.1-12h.el6_3.noarch
* katello-headpin-all-1.2.1-12h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 6 errata-xmlrpc 2013-02-21 14:20:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.